Error Functions
Embryo

Functions that set and retrieve error codes in Embryo programs. More...

## Functions

EAPI void | embryo_program_error_set (Embryo_Program *ep, Embryo_Error error)
| Sets the error code for the given program to the given code.
EAPI Embryo_Error | embryo_program_error_get (Embryo_Program *ep)
| Retrieves the current error code for the given program.
EAPI const char * | embryo_error_string_get (Embryo_Error error)
| Retrieves a string describing the given error code.

## Detailed Description

Functions that set and retrieve error codes in Embryo programs.

## Function Documentation

## embryo_program_error_set()

EAPI void embryo_program_error_set | ( | Embryo_Program * | ep,
|  | Embryo_Error | error )

Sets the error code for the given program to the given code.

Parameters

  ep | The given program.
  error | The given error code.

## embryo_program_error_get()

EAPI Embryo_Error embryo_program_error_get | ( | Embryo_Program * | ep | ) |

Retrieves the current error code for the given program.

Parameters

  ep | The given program.

Returns
  The current error code.

## embryo_error_string_get()

EAPI const char * embryo_error_string_get | ( | Embryo_Error | error | ) |

Retrieves a string describing the given error code.

Parameters

  error | The given error code.

Returns
  String describing the given error code. If the given code is not known, the string "(unknown)" is returned.